<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Penilaian</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Penilaian </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <h3 class="mb-0">Data List</h3>
                    </div>
                    <div class="card-body">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Tahun Akademik</label>
                                        <select name="tahunAkademik" required class="form-control">
                                            <option value="" disabled selected>-- Select One --</option>
                                            <option th:each="data : ${tahunAkademik}"
                                                    th:selected="(${data} == *{selectedTahun})"
                                                    th:text="${data.namaTahunAkademik}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Prodi</label>
                                        <select name="prodi" required class="form-control">
                                            <option value="" disabled selected>-- Select One --</option>
                                            <option th:each="data : ${prodi}"
                                                    th:selected="(${data} == *{selectedProdi})"
                                                    th:text="${data.namaProdi}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12" style="text-align: center;">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-info"><i class="fa fa-search"></i> Cari</button>
                                    </div>
                                </div>

                            </div>
                        </form>
                    </div>
                    <div class="table-responsive" th:if="${selectedProdi != null}">
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Kode Matakuliah</th>
                                <th scope="col">Dosen</th>
                                <th scope="col">Kelas</th>
                                <th scope="col">Hari</th>
                                <th scope="col">Waktu</th>
                                <th></th>
                                <th></th>
                                <th></th>

                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data,row : ${list}">
                                <td style="font-size: 10px;" th:text="${(row.index + 1)}">1</td>
                                <td style="font-size: 10px;" th:text="${data.namaMatkuliah}">Basic Econometrics   </td>
                                <td style="font-size: 10px;" th:text="${data.namaDosen}">Aam Slamet Rusydiana  </td>
                                <td style="font-size: 10px;" th:text="${data.namaKelas}">MBS-D-18  </td>
                                <td style="font-size: 10px;" th:text="${data.hari}">Wednesday</td>
                                <td style="font-size: 10px;">
                                    <span  th:text="${data.jamMulai}"></span> -
                                    <span th:text="${data.jamSelesai}"></span>
                                </td>
                                <td style="font-size: 10px;">
                                    <button class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#modal-form' + data.id}"><i class="fas fa-eye"></i> Show</button>

                                    <div class="modal fade" th:id="${'modal-form' + data.id}" tabindex="-1" role="dialog" aria-labelledby="modal-form" aria-hidden="true">
                                        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                                            <div class="modal-content">

                                                <div class="modal-body p-0">

                                                    <div class="card bg-secondary shadow border-0">
                                                        <div class="card-header bg-transparent pb-5">
                                                            <div class="text-muted text-center mt-2 mb-3"><small>Assesment</small></div>
                                                            <div class="btn-wrapper text-center">
                                                                <a th:href="@{/studiesActivity/assesment/weight (jadwal = ${data.id})}" class="btn btn-neutral btn-icon">
                                                                    <span class="btn-inner--icon"><i class="fas fa-list"></i></span>
                                                                    <span class="btn-inner--text">Pembobotan</span>
                                                                </a>
                                                                <a th:href="@{/studiesActivity/assesment/score (jadwal = ${data.id})}" class="btn btn-neutral btn-icon">
                                                                    <span class="btn-inner--icon"><i class="fas fa-list"></i></span>
                                                                    <span class="btn-inner--text">Penilaian</span>
                                                                </a>
                                                                <a th:href="@{/studiesActivity/assesment/uploadnilai (jadwal = ${data.id})}" class="btn btn-neutral btn-icon">
                                                                    <span class="btn-inner--icon"><i class="fas fa-list"></i></span>
                                                                    <span class="btn-inner--text">Upload Nilai</span>
                                                                </a>

                                                            </div>
                                                        </div>
                                                        <div class="card-header bg-transparent pb-5">
                                                            <div class="text-muted text-center mt-2 mb-3"><small>BKD</small></div>
                                                            <div class="btn-wrapper text-center">
                                                                <button class="btn btn-primary btn-lg " type="button">
                                                                    <a class="text-white" th:href="@{/studiesActivity/assesment/report(jadwal = ${data.id})}"><i class="fas fa-download"></i> Download</a>
                                                                </button>
                                                            </div>
                                                        </div>
                                                        <div class="card-body px-lg-5 py-lg-5">
                                                            <div class="text-muted text-center mt-2 mb-3"><small>Evaluation</small></div>
                                                            <div class="text-center">
                                                                <a th:href="@{/studiesActivity/assesment/hasiledom (jadwal = ${data.id})}" class="btn btn-primary"><i class="fas fa-cog"> Edom Dosen</i></a>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
